from lobot_api.binding import LobotProperty
from lobot_api.globals.settings.Settings import settings


class AlchemyFilterSettings:
	DegreesAlchemy = LobotProperty(settings.get, ['Filter', 'DegreesAlchemy'], settings.set, ['Filter', 'DegreesAlchemy'])

	FilterJadeStrength = LobotProperty(settings.get, ['Filter', 'JadeStrength'], settings.set, ['Filter', 'JadeStrength'])
	FilterJadeIntelligence = LobotProperty(settings.get, ['Filter', 'JadeIntelligence'], settings.set, ['Filter', 'JadeIntelligence'])
	FilterJadeMaster = LobotProperty(settings.get, ['Filter', 'JadeMaster'], settings.set, ['Filter', 'JadeMaster'])
	FilterJadeStrikes = LobotProperty(settings.get, ['Filter', 'JadeStrikes'], settings.set, ['Filter', 'JadeStrikes'])
	FilterJadeDiscipline = LobotProperty(settings.get, ['Filter', 'JadeDiscipline'], settings.set, ['Filter', 'JadeDiscipline'])
	FilterJadePenetration = LobotProperty(settings.get, ['Filter', 'JadePenetration'], settings.set, ['Filter', 'JadePenetration'])
	FilterJadeDodging = LobotProperty(settings.get, ['Filter', 'JadeDodging'], settings.set, ['Filter', 'JadeDodging'])
	FilterJadeStamina = LobotProperty(settings.get, ['Filter', 'JadeStamina'], settings.set, ['Filter', 'JadeStamina'])
	FilterJadeMagic = LobotProperty(settings.get, ['Filter', 'JadeMagic'], settings.set, ['Filter', 'JadeMagic'])
	FilterJadeFogs = LobotProperty(settings.get, ['Filter', 'JadeFogs'], settings.set, ['Filter', 'JadeFogs'])
	FilterJadeAir = LobotProperty(settings.get, ['Filter', 'JadeAir'], settings.set, ['Filter', 'JadeAir'])
	FilterJadeFire = LobotProperty(settings.get, ['Filter', 'JadeFire'], settings.set, ['Filter', 'JadeFire'])
	FilterJadeImmunity = LobotProperty(settings.get, ['Filter', 'JadeImmunity'], settings.set, ['Filter', 'JadeImmunity'])
	FilterJadeRevival = LobotProperty(settings.get, ['Filter', 'JadeRevival'], settings.set, ['Filter', 'JadeRevival'])
	FilterJadeSteady = LobotProperty(settings.get, ['Filter', 'JadeSteady'], settings.set, ['Filter', 'JadeSteady'])
	FilterJadeLuck = LobotProperty(settings.get, ['Filter', 'JadeLuck'], settings.set, ['Filter', 'JadeLuck'])
	
	JadeTabletStrength = LobotProperty(settings.get, ['Filter', 'JadeTabletStrength'], settings.set, ['Filter', 'JadeTabletStrength'])
	JadeTabletIntelligence = LobotProperty(settings.get, ['Filter', 'JadeTabletIntelligence'], settings.set, ['Filter', 'JadeTabletIntelligence'])
	JadeTabletMaster = LobotProperty(settings.get, ['Filter', 'JadeTabletMaster'], settings.set, ['Filter', 'JadeTabletMaster'])
	JadeTabletStrikes = LobotProperty(settings.get, ['Filter', 'JadeTabletStrikes'], settings.set, ['Filter', 'JadeTabletStrikes'])
	JadeTabletDiscipline = LobotProperty(settings.get, ['Filter', 'JadeTabletDiscipline'], settings.set, ['Filter', 'JadeTabletDiscipline'])
	JadeTabletPenetration = LobotProperty(settings.get, ['Filter', 'JadeTabletPenetration'], settings.set, ['Filter', 'JadeTabletPenetration'])
	JadeTabletDodging = LobotProperty(settings.get, ['Filter', 'JadeTabletDodging'], settings.set, ['Filter', 'JadeTabletDodging'])
	JadeTabletStamina = LobotProperty(settings.get, ['Filter', 'JadeTabletStamina'], settings.set, ['Filter', 'JadeTabletStamina'])
	JadeTabletMagic = LobotProperty(settings.get, ['Filter', 'JadeTabletMagic'], settings.set, ['Filter', 'JadeTabletMagic'])
	JadeTabletFogs = LobotProperty(settings.get, ['Filter', 'JadeTabletFogs'], settings.set, ['Filter', 'JadeTabletFogs'])
	JadeTabletAir = LobotProperty(settings.get, ['Filter', 'JadeTabletAir'], settings.set, ['Filter', 'JadeTabletAir'])
	JadeTabletFire = LobotProperty(settings.get, ['Filter', 'JadeTabletFire'], settings.set, ['Filter', 'JadeTabletFire'])
	JadeTabletImmunity = LobotProperty(settings.get, ['Filter', 'JadeTabletImmunity'], settings.set, ['Filter', 'JadeTabletImmunity'])
	JadeTabletRevival = LobotProperty(settings.get, ['Filter', 'JadeTabletRevival'], settings.set, ['Filter', 'JadeTabletRevival'])
	JadeTabletSteady = LobotProperty(settings.get, ['Filter', 'JadeTabletSteady'], settings.set, ['Filter', 'JadeTabletSteady'])
	JadeTabletLuck = LobotProperty(settings.get, ['Filter', 'JadeTabletLuck'], settings.set, ['Filter', 'JadeTabletLuck'])

	FilterRubyCourage = LobotProperty(settings.get, ['Filter', 'RubyCourage'], settings.set, ['Filter', 'RubyCourage'])
	FilterRubyWarriors = LobotProperty(settings.get, ['Filter', 'RubyWarriors'], settings.set, ['Filter', 'RubyWarriors'])
	FilterRubyPhilosophy = LobotProperty(settings.get, ['Filter', 'RubyPhilosophy'], settings.set, ['Filter', 'RubyPhilosophy'])
	FilterRubyMeditation = LobotProperty(settings.get, ['Filter', 'RubyMeditation'], settings.set, ['Filter', 'RubyMeditation'])
	FilterRubyChallenge = LobotProperty(settings.get, ['Filter', 'RubyChallenge'], settings.set, ['Filter', 'RubyChallenge'])
	FilterRubyFocus = LobotProperty(settings.get, ['Filter', 'RubyFocus'], settings.set, ['Filter', 'RubyFocus'])
	FilterRubyFlesh = LobotProperty(settings.get, ['Filter', 'RubyFlesh'], settings.set, ['Filter', 'RubyFlesh'])
	FilterRubyLife = LobotProperty(settings.get, ['Filter', 'RubyLife'], settings.set, ['Filter', 'RubyLife'])
	FilterRubyMind = LobotProperty(settings.get, ['Filter', 'RubyMind'], settings.set, ['Filter', 'RubyMind'])
	FilterRubySpirit = LobotProperty(settings.get, ['Filter', 'RubySpirit'], settings.set, ['Filter', 'RubySpirit'])
	FilterRubyDodging = LobotProperty(settings.get, ['Filter', 'RubyDodging'], settings.set, ['Filter', 'RubyDodging'])
	FilterRubyAgility = LobotProperty(settings.get, ['Filter', 'RubyAgility'], settings.set, ['Filter', 'RubyAgility'])
	FilterRubyTraining = LobotProperty(settings.get, ['Filter', 'RubyTraining'], settings.set, ['Filter', 'RubyTraining'])
	FilterRubyPrayer = LobotProperty(settings.get, ['Filter', 'RubyPrayer'], settings.set, ['Filter', 'RubyPrayer'])

	RubyTabletCourage = LobotProperty(settings.get, ['Filter', 'RubyTabletCourage'], settings.set, ['Filter', 'RubyTabletCourage'])
	RubyTabletWarriors = LobotProperty(settings.get, ['Filter', 'RubyTabletWarriors'], settings.set, ['Filter', 'RubyTabletWarriors'])
	RubyTabletPhilosophy = LobotProperty(settings.get, ['Filter', 'RubyTabletPhilosophy'], settings.set, ['Filter', 'RubyTabletPhilosophy'])
	RubyTabletMeditation = LobotProperty(settings.get, ['Filter', 'RubyTabletMeditation'], settings.set, ['Filter', 'RubyTabletMeditation'])
	RubyTabletChallenge = LobotProperty(settings.get, ['Filter', 'RubyTabletChallenge'], settings.set, ['Filter', 'RubyTabletChallenge'])
	RubyTabletFocus = LobotProperty(settings.get, ['Filter', 'RubyTabletFocus'], settings.set, ['Filter', 'RubyTabletFocus'])
	RubyTabletFlesh = LobotProperty(settings.get, ['Filter', 'RubyTabletFlesh'], settings.set, ['Filter', 'RubyTabletFlesh'])
	RubyTabletLife = LobotProperty(settings.get, ['Filter', 'RubyTabletLife'], settings.set, ['Filter', 'RubyTabletLife'])
	RubyTabletMind = LobotProperty(settings.get, ['Filter', 'RubyTabletMind'], settings.set, ['Filter', 'RubyTabletMind'])
	RubyTabletSpirit = LobotProperty(settings.get, ['Filter', 'RubyTabletSpirit'], settings.set, ['Filter', 'RubyTabletSpirit'])
	RubyTabletDodging = LobotProperty(settings.get, ['Filter', 'RubyTabletDodging'], settings.set, ['Filter', 'RubyTabletDodging'])
	RubyTabletAgility = LobotProperty(settings.get, ['Filter', 'RubyTabletAgility'], settings.set, ['Filter', 'RubyTabletAgility'])
	RubyTabletTraining = LobotProperty(settings.get, ['Filter', 'RubyTabletTraining'], settings.set, ['Filter', 'RubyTabletTraining'])
	RubyTabletPrayer = LobotProperty(settings.get, ['Filter', 'RubyTabletPrayer'], settings.set, ['Filter', 'RubyTabletPrayer'])
